#ifndef __UTIL_H__
#define __UTIL_H__

#include "cxcore.h"

bool FileExists(const char* filename);

void StartOfDuration();
int EndOfDuration();

void my_srand(unsigned int newseed);
int my_rand();

template<class T> 
struct sort_struct
{
    int id;
    T value;
} ;

template<class T>
bool Template_Less(const sort_struct<T>& elem1, const sort_struct<T>& elem2)
{
    return elem1.value < elem2.value;
}

void GenerateRandomPermutation(int* p,const int length,const unsigned int seed=0xffffffff);


#endif // __UTIL_H__

